import { Injectable } from "@angular/core";
import { Subject } from "rxjs";

@Injectable({
  providedIn: "root",
})
export class SidenavService {
  private triggerSource = new Subject<void>();

  triggerSideMenu() {
    this.triggerSource.next();
  }

  getTriggerObservable() {
    return this.triggerSource.asObservable();
  }
}
